edelib 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
EdbusError Class Reference
D-Bus classes and functions

A class representing D-Bus error. More...

`#include <edelib/EdbusError.h>`

## Public Member Functions
| EdbusError ()
| ~EdbusError ()
| EdbusError (const DBusError *err)
| EdbusError (const EdbusError &other)
EdbusError & | operator= (const EdbusError &other)
| EdbusError (EdbusErrorType t, const char *msg)
EdbusErrorType | type (void) const
const char * | name (void) const
const char * | message (void) const
bool | valid (void) const

## Detailed Description

A class representing D-Bus error.

## Constructor & Destructor Documentation

EdbusError | ( |  | ) |

Create invalid error object

~EdbusError | ( |  | ) |

Destroys object

EdbusError | ( | const DBusError * | err | ) |

Create error object from DBusError

EdbusError | ( | const EdbusError & | other | ) |

Create error object from another object

EdbusError | ( | EdbusErrorType | t,
|  | const char * | msg
| ) |  |

Explicitly create error with given EdbusErrorType and text

## Member Function Documentation

const char* message | ( | void |  | ) | const

Returns a string describing the error. It will be NULL if error is invalid

const char* name | ( | void |  | ) | const

Returns the D-Bus error name. It will be NULL if error is invalid

EdbusError& operator= | ( | const EdbusError & | other | ) |

Assing another object

EdbusErrorType type | ( | void |  | ) | const

Returns error type

bool valid | ( | void |  | ) | const
| inline

Returns true if error object contains valid type (any except EDBUS_ERROR_INVALID)

References edelib::EDBUS_ERROR_INVALID.

The documentation for this class was generated from the following file:

- edelib/EdbusError.h